Rygel.Database.Cursor.bind – librygel-db Reference Manual

# bind

## Description:

public void bind (Value[]? arguments) throws DatabaseError

Bind new values to a cursor.

The cursor will be reset.

This function uses the type of the GValue passed in values to determine which _bind function to use.

Supported types are: int, long, int64, uint64, string and pointer. Note: The only pointer supported is the null pointer as provided by Database.@null. This is a special value to bind a column to NULL

## Parameters:

arguments | array of values to bind to the SQL statement or null if none